package com.mortals.xhx.module.scheduled.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.scheduled.model.vo.ScheduledTaskDetailVo;
import lombok.Data;
/**
* 数据定时查探详情实体对象
*
* @author zxfei
* @date 2023-07-15
*/
@Data
public class ScheduledTaskDetailEntity extends ScheduledTaskDetailVo {
    private static final long serialVersionUID = 1L;

    /**
    * 任务主键
    */
    private Long taskId;
    /**
    * 开始时间
    */
    @Excel(name = "开始时间")
    private String startTime;
    /**
    * 结束时间
    */
    @Excel(name = "结束时间")
    private String endTime;
    /**
    * 数据量
    */
    @Excel(name = "数据量")
    private Integer number;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ScheduledTaskDetailEntity) {
            ScheduledTaskDetailEntity tmp = (ScheduledTaskDetailEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.taskId = -1L;

            this.startTime = "";

            this.endTime = "";

            this.number = -1;

            this.remark = "";
    }
}